import { useDictionaryStoreHook } from "../../../store/index";
const { dicts } = useDictionaryStoreHook();
export const columns = [

  {
    label: "审理单号",
    prop: "trackingNumber",
    overHidden: true,
    width:120,
    search: true,
  },
  {
    label: "工单号",
    prop: "workOrderCode",
    overHidden: true,
    width:120,
    search: true,
  },
  {
    label: "订单号",
    prop: "orderCode",
    overHidden: true,
    width:120,
    search: true,
  },
  {
    label: "不合格数量",
    overHidden: true,
    width:100,
    prop: "unqualifiedNum",
  },

  {
    label: "序列号", prop: "seqNo", overHidden: true,

  },
  {
    label: "状态", prop: "state", overHidden: true,
    width:120,
    dicData:dicts.escalation_fault_state,
    props: { label: "dictLabel", value: "dictValue" },
  },
  {
    label: "跟踪状态", prop: "currentState", overHidden: true,
    width:100,
    dicData:dicts.fault_current_state,
    props: { label: "dictLabel", value: "dictValue" },
  },
  {
    label: "报故人", prop: "creator",
    overHidden: true,
    width:100,
    search: true,
  },

];
